!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

      IF ((docali .eq. 'f') .or. (docali .eq. 'F')) THEN
	    if ((forensemble .eq. 1) .and. (fnext.eq.1) .and.
     *      (lastrunoff .gt. 0)) THEN
! Determination of the allineation coefficient
        allit=allit+1
		if (allit .gt. 20) then
        call messagerun (1,'[Error Alignement not found]')
        call messagerun (1,'[Correct Volume in Real Time Run]')
        goto 999
		end if

!		if (aelhg .ge. 50) rtrasl(1)=rtrasl(1)*1000

        allinf=allinf*(lastrunoff/
     *         rtrasl(1))**0.5
		write (messtext,*) qtime,rtrasl(1),
     * lastrunoff,allinf
	    if (ABS(lastrunoff/(rtrasl(1))-1.0) .gt.
     *          0.002) then
	    loadid='T'
		fnext=0
		forensemble=0
		call messagerun (2,'[Alignement]')
	    call messagerun (2,TRIM(messtext))
! Setting hourly fields to 0
      do i=1,24
          PNKHM(i)=0.0
          PAKHM(i)=0.0
          WSAHM(i)=0.0
          EPHM(i)=0.0
          ERHM(i)=0.0
          EIHM(i)=0.0
          EBHM(i)=0.0
          R0HM(i)=0.0
          R1HM(i)=0.0
          R2HM(i)=0.0
          RGB1HM(i)=0.0
	    RGB2HM(i)=0.0
	    RGB3HM(i)=0.0
          RGEHM(i)=0.0
          SSMHM(i)=0.0
          SSOHM(i)=0.0
          SIHM(i)=0.0
          SUZHM(i)=0.0
          SLZHM(i)=0.0
	end do
	    fbasp=1
	    GOTO 1023
	else
	    call messagerun (1,'Alignment Terminated')
	    fnext=1
		fbasp=0
	    forensemble=1
          end if
	    end if
	end if
