!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!     Allocate Arrays for PREVAH


      ALLOCATE(snowtf(ncol,nrow))
      ALLOCATE(mtf(ncol,nrow))
      ALLOCATE(nrtfl(ncol,nrow))
!      ALLOCATE(nrtgfl(ncol,nrow))
      ALLOCATE(fkwert(ncol,nrow))
      ALLOCATE(fbtyp(ncol,nrow))
      ALLOCATE(landin(ncol,nrow))
      ALLOCATE(teds(999))
      ALLOCATE(rlds(999))
      ALLOCATE(wvds(999))
      ALLOCATE(aetfl(ncol,nrow))
      ALLOCATE(atfl(ncol,nrow))
      ALLOCATE(rgdm(ncol,nrow))
      ALLOCATE(tedm(ncol,nrow))
      ALLOCATE(rgds(999))
      ALLOCATE(rldm(ncol,nrow))
      ALLOCATE(wvdm(ncol,nrow))
      ALLOCATE(sdds(ncol,nrow))
      ALLOCATE(epms(ncol,nrow))
      ALLOCATE(erms(ncol,nrow))
      ALLOCATE(eims(ncol,nrow))
      ALLOCATE(ebms(ncol,nrow))
      ALLOCATE(r0ms(ncol,nrow))
      ALLOCATE(epjs(ncol,nrow))
      ALLOCATE(erjs(ncol,nrow))
      ALLOCATE(eijs(ncol,nrow))
      ALLOCATE(ebjs(ncol,nrow))
      ALLOCATE(r0js(ncol,nrow))
      ALLOCATE(eps(ncol,nrow))
      ALLOCATE(ers(ncol,nrow))
      ALLOCATE(eis(ncol,nrow))
      ALLOCATE(ebs(ncol,nrow))
      ALLOCATE(r0s(ncol,nrow))
      ALLOCATE(r1s(ncol,nrow))
      ALLOCATE(r1ms(ncol,nrow))
      ALLOCATE(r1js(ncol,nrow))
      ALLOCATE(r2s(ncol,nrow))
      ALLOCATE(r2ms(ncol,nrow))
      ALLOCATE(r2js(ncol,nrow))
      ALLOCATE(rgems(ncol,nrow))
      ALLOCATE(rgejs(ncol,nrow))
      ALLOCATE(rgess(ncol,nrow))
      ALLOCATE(bil(ncol,nrow))
      ALLOCATE(slz3tf(ncol,nrow))
      ALLOCATE(wsams(ncol,nrow))
      ALLOCATE(wsajs(ncol,nrow))
      ALLOCATE(wsas(ncol,nrow))
      ALLOCATE(pnkjs(ncol,nrow))
      ALLOCATE(pakjs(ncol,nrow))
      ALLOCATE(pnkds(ncol,nrow))
      ALLOCATE(pnkms(ncol,nrow))
      ALLOCATE(pakms(ncol,nrow))
      ALLOCATE(pnks(ncol,nrow))
      ALLOCATE(paks(ncol,nrow))
      ALLOCATE(ssotf(ncol,nrow))
	  ALLOCATE(snowdaystf(ncol,nrow,2))
	  ALLOCATE(fsad_tf(ncol,nrow,6))
	  allocate(fsad_old(ncol,nrow,6))
	  ALLOCATE(frost_tf(ncol,nrow))
      ALLOCATE(ssnowtf(ncol,nrow))
      ALLOCATE(sliqtf(ncol,nrow))
      ALLOCATE(sitf(ncol,nrow))
      ALLOCATE(ssztf(ncol,nrow))
      ALLOCATE(ssmtf(ncol,nrow))
      ALLOCATE(sfctf(ncol,nrow))
      ALLOCATE(suztf(ncol,nrow))
      ALLOCATE(slztf(ncol,nrow))
      ALLOCATE(slz1tf(ncol,nrow))
      ALLOCATE(slz2tf(ncol,nrow))
      ALLOCATE(fnfc(ncol,nrow))
      ALLOCATE(fck(ncol,nrow))
      ALLOCATE(vkwert(ncol,nrow))
      ALLOCATE(fbtief(ncol,nrow))
      ALLOCATE(ftopi(ncol,nrow))
      ALLOCATE(fbtopi(ncol,nrow))
      ALLOCATE(fhoehe(ncol,nrow))
      ALLOCATE(fslope(ncol,nrow))
      ALLOCATE(faspect(ncol,nrow))
      ALLOCATE(fbfeucht(ncol,nrow))
      ALLOCATE(SICETF(ncol,nrow))
      ALLOCATE(SICSTF(ncol,nrow))
      ALLOCATE(SICFTF(ncol,nrow))
      ALLOCATE(HTFICE(ncol,nrow,24))
      ALLOCATE(HTFICS(ncol,nrow,24))
      ALLOCATE(HTFICF(ncol,nrow,24))
      ALLOCATE(rtrasl(72))
      ALLOCATE(GWNBS(ncol,nrow))
      ALLOCATE(GWNBMS(ncol,nrow))
      ALLOCATE(GWNBJS(ncol,nrow))
      ALLOCATE(GLACS(ncol,nrow))
      ALLOCATE(GLACMS(ncol,nrow))
      ALLOCATE(GLACJS(ncol,nrow))
      ALLOCATE(regio(ncol,nrow))
      ALLOCATE(wrgrd(ncol,nrow))
      ALLOCATE(snowen(ncol,nrow))
      ALLOCATE(surfsnot(ncol,nrow))
      ALLOCATE(emtf(ncol,nrow))
      ALLOCATE(soiltp(ncol,nrow))
      ALLOCATE(sensiflux(ncol,nrow))
      ALLOCATE(SHADTFL(ncol,nrow,24))
      ALLOCATE(SHADETFL(ncol,nrow,24))
	  allocate(scatch(ncol,nrow))
	  allocate(rafi(ncol,nrow))
	  allocate(rafipar(ncol,nrow))
	  allocate(gglm(ncol,nrow))
	  allocate(rglm(ncol,nrow))
	  allocate(treemig_array(ncol,nrow,2))
	  allocate(gezg(ncol,nrow))
	  allocate(mezgrid(ncol,nrow))

	  allocate(whc(ncol,nrow))


	  allocate(glacmask(ncol,nrow))
	  allocate(tempsnow(ncol,nrow))
	  allocate(glacbily2d(ncol,nrow))
	  allocate(MTDbil(ncol,nrow))

	  allocate(sGlac(ncol,nrow))
	  allocate(glacID(ncol,nrow))
	  allocate(iceFrac(ncol,nrow))
	  allocate(bedrock(ncol,nrow))
	  allocate(minSnowCover(ncol,nrow))

      !Marc's LAI stuff
       ALLOCATE(gdd5(ncol,nrow))
       ALLOCATE(chilldays(ncol,nrow))
       ALLOCATE(dtemp31(ncol,nrow,31))
       ALLOCATE(forhycs(ncol,nrow,2))
       ALLOCATE(mtemp(ncol,nrow))
       ALLOCATE(sen_day_count(ncol,nrow,30))
       ALLOCATE(aphen(ncol,nrow,30))
       ALLOCATE(oldphen(ncol,nrow,30))
       ALLOCATE(spcgdd0(30,365))
       ALLOCATE(ddegsum5(ncol,nrow))
       ALLOCATE(ddegsum5old(ncol,nrow))
       ALLOCATE(muwint(ncol,nrow,4))
       ALLOCATE(drstr(ncol,nrow))
	ALLOCATE(drstr2(ncol,nrow))
       ALLOCATE(meant(ncol,nrow,12))
       ALLOCATE(sump(ncol,nrow,12))
       ALLOCATE(meantold(ncol,nrow,12))
       ALLOCATE(sumpold(ncol,nrow,12))
       ALLOCATE(meantC(ncol,nrow,12))
       ALLOCATE(meantCOld(ncol,nrow,12))
       ALLOCATE(drstrold(ncol,nrow))
       ALLOCATE(drstrold2(ncol,nrow))
       ALLOCATE(fhla(ncol,nrow,32))
       ALLOCATE(EBJSout(ncol,nrow))
       ALLOCATE(EPJSout(ncol,nrow))
       ALLOCATE(EIJSout(ncol,nrow))
       ALLOCATE(ebjs2(ncol,nrow))

      if (rmet(1) .eq. 'G') allocate(pndtg(24,ncol,nrow))
      if (rmet(2) .eq. 'G') allocate(tedtg(24,ncol,nrow))
      if (rmet(3) .eq. 'G') allocate(rgdtg(24,ncol,nrow))
      if (rmet(4) .eq. 'G') allocate(rldtg(24,ncol,nrow))
      if (rmet(5) .eq. 'G') allocate(wvdtg(24,ncol,nrow))
      if (rmet(6) .eq. 'G') allocate(sddtg(24,ncol,nrow))

      allocate(drydays(ncol,nrow))
      allocate(eIntMS(ncol,nrow))
      allocate(eSnowMS(ncol,nrow))
      allocate(eSoilMS(ncol,nrow))
      allocate(eTransMS(ncol,nrow))
      allocate(petMS(ncol,nrow))
      allocate(eWaterMS(ncol,nrow))
      allocate(peSoilMS(ncol,nrow))
      allocate(peTransMS(ncol,nrow))

      allocate(eIntJS(ncol,nrow))
      allocate(eSnowJS(ncol,nrow))
      allocate(eSoilJS(ncol,nrow))
      allocate(eTransJS(ncol,nrow))
      allocate(petJS(ncol,nrow))
      allocate(eWaterJS(ncol,nrow))
      allocate(peSoilJS(ncol,nrow))
      allocate(peTransJS(ncol,nrow))

      allocate(simaxtf(ncol,nrow))

      allocate(qsmon(ncol,nrow))
      allocate(qsyr(ncol,nrow))
      allocate(qlmon(ncol,nrow))
      allocate(qlyr(ncol,nrow))
      allocate(qgmon(ncol,nrow))
      allocate(qgyr(ncol,nrow))

      allocate(relSSD(ncol,nrow))

      allocate(lcChange(ncol,nrow))
      allocate(perCC(ncol,nrow))

      allocate(compBioClim(ncol,nrow,4))

      allocate(siuTF(ncol,nrow))
      allocate(siumaxTF(ncol,nrow))

      allocate(sfcg(ncol,nrow))

      allocate(flai(ncol,nrow))
      allocate(vh100(ncol,nrow))
      allocate(vh99(ncol,nrow))
      allocate(vh95(ncol,nrow))

      allocate(meanTOut(ncol,nrow,12))
      allocate(sumPOut(ncol,nrow,12))

      allocate(catch(ncol,nrow))
      allocate(awcg(ncol,nrow))
      allocate(rgs2d(ncol,nrow))
      allocate(prec2d(ncol,nrow))
      allocate(pt2d(ncol,nrow))
      allocate(at2d(ncol,nrow))
      allocate(pes2d(ncol,nrow))
      allocate(aes2d(ncol,nrow))
      allocate(int2d(ncol,nrow))
      allocate(esn2d(ncol,nrow))
      allocate(enf2d(ncol,nrow))

      allocate(phenDoyBB(ncol,nrow))
      allocate(phenDoyMax(ncol,nrow))
      allocate(phenDoySen(ncol,nrow))
      allocate(phenDoyFall(ncol,nrow))

      allocate(phenBBold(ncol,nrow))
      allocate(phenMaxOld(ncol,nrow))
      allocate(phenSenOld(ncol,nrow))
      allocate(phenFallOld(ncol,nrow))

      allocate(snowoff(ncol,nrow))
      allocate(snowoffOld(ncol,nrow))
      allocate(snowdays(ncol,nrow))

      allocate(annprec(ncol,nrow))
      allocate(mmot(ncol,nrow))
      allocate(annprecold(ncol,nrow))
      allocate(mmotold(ncol,nrow))

      allocate(gsLength(rootslag,ncol,nrow))
      allocate(gsTpot(rootslag,ncol,nrow))
      allocate(gsPrec(rootslag,ncol,nrow))
      allocate(gsPrecDays(rootslag,ncol,nrow))
      allocate(gsTemp(rootslag,ncol,nrow))
      allocate(gsLengthCur(ncol,nrow))
      allocate(gsTpotCur(ncol,nrow))
      allocate(gsPrecCur(ncol,nrow))
      allocate(gsPrecDaysCur(ncol,nrow))
      allocate(gsTempCur(ncol,nrow))
      allocate(sfcMax(ncol,nrow))
      allocate(prevDayP(ncol,nrow))
      allocate(gsPes(rootslag,ncol,nrow))
      allocate(gsPesCur(ncol,nrow))
      allocate(gsPe(rootslag,ncol,nrow))
      allocate(gsPeCur(ncol,nrow))

      allocate(eeqrmean(ncol,nrow))
      allocate(pefrmean(ncol,nrow))

      allocate(dstr30(30,ncol,nrow))
      allocate(gdd30(30,ncol,nrow))
      allocate(curhcmax(30,ncol,nrow))

      allocate(gsDMI(ncol,nrow))

      allocate(ssen3d(ncol,nrow,30))

      allocate(rsmin2d(ncol,nrow))

      allocate(deltaBio(ncol,nrow,30))
