!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

      SUBROUTINE CHARNR (icsb,NR)

!     This subroutine transforms numbers between 0 and 99 (ics, icsb) into a character
!     string (NR)
!--------------------------------------------------------------------------

      implicit none

! ---------------------------------------------------------------------
!     Common Variables
! ---------------------------------------------------------------------

      INTEGER ics,icsb
      CHARACTER NR*2

! ---------------------------------------------------------------------
!     Begin
! ---------------------------------------------------------------------

      ics=icsb

4     CONTINUE

      IF (ics .GE. 100) THEN
          ics=ics-100
          GOTO 4
      ENDIF

          write (NR,'(I2.2)') ics

! --------------------------------------------------------------------
      RETURN
      END
