!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!     DEALLOCATE Arrays fuer PREVAH


      DEALLOCATE(snowtf)
      DEALLOCATE(mtf)
      DEALLOCATE(nrtfl)
      DEALLOCATE(nrtgfl)
      DEALLOCATE(fkwert)
      DEALLOCATE(vkwert)
      DEALLOCATE(fbtyp)
      DEALLOCATE(landin)
      DEALLOCATE(teds)
      DEALLOCATE(rlds)
      DEALLOCATE(wvds)
      DEALLOCATE(aetfl)
      DEALLOCATE(atfl)
      DEALLOCATE(rgdm)
      DEALLOCATE(tedm)
      DEALLOCATE(rgds)
      DEALLOCATE(rldm)
      DEALLOCATE(wvdm)
      DEALLOCATE(sdds)
      DEALLOCATE(epms)
      DEALLOCATE(erms)
      DEALLOCATE(eims)
      DEALLOCATE(ebms)
      DEALLOCATE(r0ms)
      DEALLOCATE(epjs)
      DEALLOCATE(erjs)
      DEALLOCATE(eijs)
      DEALLOCATE(ebjs)
      DEALLOCATE(r0js)
      DEALLOCATE(eps)
      DEALLOCATE(ers)
      DEALLOCATE(eis)
      DEALLOCATE(ebs)
      DEALLOCATE(r0s)
      DEALLOCATE(r1s)
      DEALLOCATE(r1ms)
      DEALLOCATE(r1js)
      DEALLOCATE(r2s)
      DEALLOCATE(r2ms)
      DEALLOCATE(r2js)
      DEALLOCATE(rgems)
      DEALLOCATE(rgejs)
      DEALLOCATE(rgess)
      DEALLOCATE(bil)
      DEALLOCATE(slz3tf)
      DEALLOCATE(wsams)
      DEALLOCATE(wsajs)
      DEALLOCATE(wsas)
      DEALLOCATE(pnkjs)
      DEALLOCATE(pakjs)
      DEALLOCATE(pnkds)
      DEALLOCATE(pnkms)
      DEALLOCATE(pakms)
      DEALLOCATE(pnks)
      DEALLOCATE(paks)
      DEALLOCATE(ssotf)
      DEALLOCATE(ssnowtf)
      DEALLOCATE(sliqtf)
      DEALLOCATE(sitf)
      DEALLOCATE(ssztf)
      DEALLOCATE(ssmtf,sfctf)
      DEALLOCATE(suztf)
      DEALLOCATE(slztf)
      DEALLOCATE(slz1tf)
      DEALLOCATE(slz2tf)
      DEALLOCATE(fnfc)
      DEALLOCATE(fck)
      DEALLOCATE(fbtief)
      DEALLOCATE(ftopi)
      DEALLOCATE(fbtopi)
      DEALLOCATE(fhoehe)
      DEALLOCATE(fslope)
      DEALLOCATE(faspect)
      DEALLOCATE(fbfeucht)
      DEALLOCATE(SICETF)
      DEALLOCATE(SICSTF)
      DEALLOCATE(SICFTF)
      DEALLOCATE(HTFICE)
      DEALLOCATE(HTFICS)
      DEALLOCATE(HTFICF)
      DEALLOCATE(GWNBS,GWNBMS,GWNBJS)
      DEALLOCATE(GLACS,GLACMS,GLACJS)
      DEALLOCATE(regio,wrgrd,rtrasl,snowdaystf,fsad_tf,frost_tf)
	  IF (GRDAKT .EQ. 'Y') THEN
	   DEALLOCATE (dom2d,xx)
      ENDIF
      DEALLOCATE(snowen,surfsnot,emtf,soiltp,sensiflux)
      DEALLOCATE(SHADTFL)
      DEALLOCATE(SHADETFL)

      deallocate(whc)

	  deallocate (SAVEDD)
      deallocate (SAVEMM)
      deallocate (SAVEYY)
      deallocate (SAVECHAR)
	  deallocate (scatch,mezgrid)
	  deallocate (rafi,rafipar)

      !Marc's LAI stuff
       DEALLOCATE(gdd5)
       DEALLOCATE(chilldays)
       DEALLOCATE(dtemp31)
       DEALLOCATE(mtemp)
       DEALLOCATE(sen_day_count)
       DEALLOCATE(aphen)
       DEALLOCATE(oldphen)
       DEALLOCATE(forhycs)
       DEALLOCATE(spcgdd0)
       DEALLOCATE(ddegsum5)
       DEALLOCATE(ddegsum5old)
       DEALLOCATE(muwint)
       DEALLOCATE(drstr)
       DEALLOCATE(drstr2)
       DEALLOCATE(meant)
       DEALLOCATE(sump)
       DEALLOCATE(meantold)
       DEALLOCATE(sumpold)
       DEALLOCATE(drstrold)
       DEALLOCATE(drstrold2)
       DEALLOCATE(fhla)
       DEALLOCATE(EBJSout)
       DEALLOCATE(EPJSout)
       DEALLOCATE(EIJSout)
       DEALLOCATE(ebjs2)

	  if (rmet(1) .eq. 'G') deallocate(pndtg)
      if (rmet(2) .eq. 'G') deallocate(tedtg)
      if (rmet(3) .eq. 'G') deallocate(rgdtg)
      if (rmet(4) .eq. 'G') deallocate(rldtg)
      if (rmet(5) .eq. 'G') deallocate(wvdtg)
      if (rmet(6) .eq. 'G') deallocate(sddtg)

      deallocate(flai)
      deallocate(vh100)
      deallocate(vh99)
      deallocate(vh95)
