!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! Controls the output of daily grids

      write (CHJA,'(�4.4)') JAHR
      CALL CHARNR (MON,CHMO)

      DO I=1,21

         IF (whgrid(I)(3:3) .EQ. 'N') CYCLE
         IF (whgrid(I)(3:3) .EQ. 'n') CYCLE

         namgrd='grid'//CHMO//CHJA//ergrid(I)

         OPEN (335,FILE=gkwfile,STATUS='unknown',ERR=999)

         IF (I .EQ. 1) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=PAKMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 2) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=EPMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 3) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=ERMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 4) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=EIMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 5) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=EBMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 6) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=RGEMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 7) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=R0MS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 8) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=R1MS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 9) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=R2MS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 10) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=GLACMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 12) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=WSAMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 13) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=GWNBMS(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 14) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SSOTF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 15) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SITF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 16) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SSMTF(kk)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 17) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SUZTF(kk)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 18) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SLZTF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 19) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SLZ1TF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 20) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SLZ2TF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         IF (I .EQ. 21) THEN
            DO kk=1,NTFL
              down=FLOAT(kk)-0.1
              up=FLOAT(kk)+0.1
              class=SLZ3TF(KK)
              WRITE(335,*) down,up,DPUNKT,class
            END DO
         ENDIF

         CLOSE(335)

         message='remap '//idnam//' '//gkwfile//' '//namgrd
c         IF( .NOT.SYSTEMQQ(message)) THEN
c            WRITE (*,*) ' GRID-ERROR'
c         ENDIF

         OPEN (335,FILE=gkwfile,STATUS='OLD',ERR=999)
         CLOSE(335,STATUS='DELETE')

      END DO
