!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! Writes daily grids

      write(CHJA ,'(I4)') JAHR
      CALL CHARNR (MON,CHMO)
      CALL CHARNR (TAG,CHTA)
      intOuda=jahr*10000+mon*100+tag


      call MPI_BCAST(posiid1,4,MPI_INTEGER,1,MPI_COMM_WORLD,ierr)
      call MPI_BCAST(posiid2,4,MPI_INTEGER,1,MPI_COMM_WORLD,ierr)

      DO I=1,21
         IF (whgrid(I)(1:1) .EQ. 'N') CYCLE
         IF (whgrid(I)(1:1) .EQ. 'n') CYCLE
         namgrd=diroutput(1:posi3)//idnam(posiid1:posiid2)//
     *   '_eval'//ergrid(I)

	     if (i .eq. 19) then
         namgrd=diroutput(1:posi3)//idnam(posiid1:posiid2)//
     *   '_eval.qmax'
			 end if

      if(rank .ne. root) then
        where (int(gezg) .eq. int(rnodat))
          wrgrd = rnodat
        else where
          wrgrd = xx(i,:,:)
        end where
      end if

      call statzones (namgrd,intOuda,I)

      if (i .eq. 999999) then
      print*, "huiuiui",rank
        namgrd=diroutput(1:posi3)//idnam(posiid1:posiid2)//
     *   CHJA//CHMO//CHTA//'.SWE'

        OPEN (732,FILE=namgrd,STATUS='unknown',ERR=999,FORM='BINARY')
        uwas=732
	include 'wstsp.inc'
        end if

     	if (allocated(write2d)) DEALLOCATE (write2D)

      END DO
