!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! Writes temporary file to allow for gridded output

       DO I=1,21

         IF (whgrid(I)(1:1) .EQ. 'N') CYCLE
         IF (whgrid(I)(1:1) .EQ. 'n') CYCLE

         IF (I .EQ. 1) THEN
              class=PAKDS
         ENDIF

         IF (I .EQ. 2) THEN
              class=EPDS
         ENDIF

         IF (I .EQ. 3) THEN
              class=ERDS
         ENDIF

         IF (I .EQ. 4) THEN
              class=EIDS
         ENDIF

         IF (I .EQ. 5) THEN
              class=EBDS
         ENDIF

         IF (I .EQ. 6) THEN
              class=RGEDS
         ENDIF

         IF (I .EQ. 7) THEN
              class=R0DS
         ENDIF

         IF (I .EQ. 8) THEN
              class=R1DS
         ENDIF

         IF (I .EQ. 9) THEN
              class=R2DS
         ENDIF

         IF (I .EQ. 10) THEN
              class=GLACDS
         ENDIF

         IF (I .EQ. 12) THEN
              class=WSADS
         ENDIF

         IF (I .EQ. 13) THEN
              class=GWNBDS
         ENDIF

         IF (I .EQ. 14) THEN
			  class=SSO
         ENDIF

         IF (I .EQ. 15) THEN
              class=SI
         ENDIF

         IF (I .EQ. 16) THEN
              class=SSM
         ENDIF

         IF (I .EQ. 17) THEN
              class=SUZ
         ENDIF

         IF (I .EQ. 18) THEN
              class=SLZ
         ENDIF

         IF (I .EQ. 19) THEN
              class=dqmax
			  dqmax=0.0
         ENDIF

         IF (I .EQ. 20) THEN
              class=snowdaystf(xcoor,ycoor,1)
         ENDIF

         IF (I .EQ. 21) THEN
             class=SSM/SFC
         ENDIF
         xx(I,xcoor,ycoor)=class

       END DO
