!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! water balance at end of simulation for all HRUs

	do ycoor=nrow,1,-1
	do xcoor=1,ncol
      if (int(gezg(xcoor,ycoor)) .eq. int(rnodat)) cycle
       CALL BILANZ (BIL(xcoor,ycoor),PAKS(xcoor,ycoor),
     *              ERS(xcoor,ycoor),RGESS(xcoor,ycoor),
     *              SSOB,SSOTF(xcoor,ycoor),SSOD,
     *             SIB,SITF(xcoor,ycoor),SID,
     *             FBFEUCHT(xcoor,ycoor),SSMTF(xcoor,ycoor),SSMD,
     *             SUZB,SUZTF(xcoor,ycoor),
     *             SUZD,SLZB,SLZTF(xcoor,ycoor),SLZD )
       ATFLK=ATFL(xcoor,ycoor)*0.01
       J=NRTGFL(xcoor,ycoor)
       RHG=rgridsize*rgridsize/AETG(J)
       PNKSM=PNKSM+(PNKS(xcoor,ycoor)/wstats(1))
       PAKSM=PAKSM+(PAKS(xcoor,ycoor)/wstats(1))
       WSASM=WSASM+(WSAS(xcoor,ycoor)/wstats(1))
       EPSM=EPSM+(EPS(xcoor,ycoor)/wstats(1))
       ERSM=ERSM+(ERS(xcoor,ycoor)/wstats(1))
       EISM=EISM+(EIS(xcoor,ycoor)/wstats(1))
       EBSM=EBSM+(EBS(xcoor,ycoor)/wstats(1))
       R0SM=R0SM+(R0S(xcoor,ycoor)/wstats(1))
       R1SM=R1SM+(R1S(xcoor,ycoor)/wstats(1))
       R2SM=R2SM+(R2S(xcoor,ycoor)/wstats(1))
       RGESSM=RGESSM+(RGESS(xcoor,ycoor)/wstats(1))
       PNKTG(J)=PNKTG(J)+(PNKS(xcoor,ycoor)*RHG)
       PAKTG(J)=PAKTG(J)+(PAKS(xcoor,ycoor)*RHG)
       WSATG(J)=WSATG(J)+(WSAS(xcoor,ycoor)*RHG)
       EPTG(J)=EPTG(J)+(EPS(xcoor,ycoor)*RHG)
       ERTG(J)=ERTG(J)+(ERS(xcoor,ycoor)*RHG)
       EITG(J)=EITG(J)+(EIS(xcoor,ycoor)*RHG)
       EBTG(J)=EBTG(J)+(EBS(xcoor,ycoor)*RHG)
       R0TG(J)=R0TG(J)+(R0S(xcoor,ycoor)*RHG)
       R1TG(J)=R1TG(J)+(R1S(xcoor,ycoor)*RHG)
       R2TG(J)=R2TG(J)+(R2S(xcoor,ycoor)*RHG)
       RGETG(J)=RGETG(J)+(RGESS(xcoor,ycoor)*RHG)
       SSMTG(J)=SSMTG(J)+(SSMTF(xcoor,ycoor)*RHG)
       SSOTG(J)=SSOTG(J)+(SSOTF(xcoor,ycoor)*RHG)
       SITG(J)=SITG(J)+(SITF(xcoor,ycoor)*RHG)
       SUZTG(J)=SUZTG(J)+(SUZTF(xcoor,ycoor)*RHG)
       SLZTG(J)=SLZTG(J)+(SLZTF(xcoor,ycoor)*RHG)
      end do
      end do
