!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

c     **************************************
c     COMPUTATION OF THE STATISTICAL
c     PARAMETERS
c     **************************************

	wstats(1)=0
	wstats(2)=1e8
	wstats(3)=-1e8
	wstats(4)=0
	wstats(5)=0
	wstats(6)=0

	do I=1,stvar
		wstats(1)=wstats(1)+1
		wstats(2)=min(wstats(2),value(I))
		wstats(3)=max(wstats(3),value(I))
		wstats(4)=wstats(4)+value(I)
	enddo

	wstats(5)=wstats(4)/wstats(1)

	do I=1,stvar
 		wstats(6)=wstats(6)+(value(I)-wstats(5))**2
	enddo

      	If (stvar .LE. 1) wstats(6)=0.0

	If (stvar .GT. 1) wstats(6)=(wstats(6)/(wstats(1)-1))**(0.5)
