!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------
!     Finding the position of the end of a string with 256 characters
!     Option 1: seeks '  ' and '.' if string ends with '.'
!     Option 2: seeks '.'
! ------------------------------------------------------------------------------

      SUBROUTINE POSNAM (namfile,opt,ext)

      implicit none

      integer ext,opt,i
      character namfile*256

      if (opt .eq. 1) then
      do i=2,256
      	if (namfile((i-1):i) .eq. '  ') THEN
      	ext=i-2
      	if (namfile(ext:ext) .eq. '.') ext=ext-1
      	exit
      	end if
      end do
      end if

      if (opt .eq. 2) then
      do i=2,256
      	if (namfile(i:i) .eq. '.') THEN
      	ext=i-1
      	exit
      	end if
      end do
      end if

! ------------------------------------------------------------------------------
!     End
! ------------------------------------------------------------------------------
      return
      end
