!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! reads wasim headers

       read (uwas) rcol
       read (uwas) rrow
       read (uwas) rxll
       read (uwas) ryll
       read (uwas) rgridsize
       read (uwas) rnodat

       ncol=int(rcol)
       nrow=int(rrow)
       nxll=int(rxll)
       nyll=int(ryll)

       ngridsize=int(rgridsize)
       nodat=int(rnodat)

       do rloop=1,6
         read (uwas) wstats(rloop)
       end do
