!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------


	opnssm=opnssm+1

	IF (idnam(4:4) .eq. '1') then
	if (opnssm .lt. 2) then
	    open (543,file='ssm_ws10.dat',status='unknown')
	end if
	   if (kk .eq. 372) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

      IF (idnam(4:4) .eq. '2') then
	   if (opnssm .lt. 2) then
	       open (543,file='ssmsoc.dat',status='unknown')
		   open (544,file='ssmmag.dat',status='unknown')
	       open (545,file='ssmver.dat',status='unknown')
	       open (546,file='ssmble.dat',status='unknown')
	       open (547,file='ssmmar.dat',status='unknown')
	       open (548,file='ssmtel.dat',status='unknown')
             open (549,file='ssm_wsl7.dat',status='unknown')
	   endif
	   if (kk .eq. 37) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 92) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 161) WRITE (545,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 195) WRITE (546,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 226) WRITE (549,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 302) WRITE (547,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 308) WRITE (548,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

	IF (idnam(4:4) .eq. '4') then
	   if (opnssm .lt. 2) then
	       open (543,file='ssm_wsl3.dat',status='unknown')
	       open (544,file='ssm_wsl6.dat',status='unknown')
	   endif
	   if (kk .eq. 268) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 380) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

	IF (idnam(4:4) .eq. '5') then
	if (opnssm .lt. 2) then
	    open (543,file='ssm_wsl1.dat',status='unknown')
	end if
	   if (kk .eq. 640) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

	IF (idnam(4:4) .eq. '6') then
	if (opnssm .lt. 2) then
	    open (543,file='ssm_wsl9.dat',status='unknown')
        open (544,file='ssm_alp1.dat',status='unknown')
		open (545,file='ssm_alp2.dat',status='unknown')
		open (546,file='ssm_alp3.dat',status='unknown')
		open (547,file='ssmrhb.dat',status='unknown')
	end if
	   if (kk .eq. 175) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 656) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 888) WRITE (545,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 1108) WRITE (546,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 280) WRITE (547,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif


	IF (idnam(4:4) .eq. '7') then
	   if (opnssm .lt. 2) then
	       open (543,file='ssmbinn.dat',status='unknown')
	       open (544,file='ssm_wsl2.dat',status='unknown')
	   endif
	   if (kk .eq. 88) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 606) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

      IF (idnam(4:4) .eq. '8') then
	if (opnssm .lt. 2) then
	    open (543,file='ssmrhb.dat',status='unknown')
	    open (544,file='ssm_wsl8.dat',status='unknown')
	    open (545,file='ssm_ws11.dat',status='unknown')
	end if
	   if (kk .eq. 717) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 231) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 342) WRITE (545,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHRK,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif

	IF (idnam(4:4) .eq. '9') then
	   if (opnssm .lt. 2) then
	       open (543,file='ssm_wsl4.dat',status='unknown')
	       open (544,file='ssm_wsl5.dat',status='unknown')
	   endif
	   if (kk .eq. 270) WRITE (543,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	   if (kk .eq. 498) WRITE (544,'(4(I4,1X),9(F8.1,1X))')
     *                   JAHR,MON,TAG,KK,PAKDS,
     *                   EPDS,ERDS,RGEDS,SSO,SI,SSM,SUZ,SLZ
	endif
