!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! ------------------------------------------------------------------------------
! Dr. Thomas "Eddy" W�hling - Updating procedure
! September-October 2005
! Adapted by M.Zappa for use in every basin
! ------------------------------------------------------------------------------

! ------------------------------------------------------------------------------
!	Datenrecord Datum finden und Q fuer alle Stunden des Tages einlesen
! ------------------------------------------------------------------------------
	jnUp=updatejn
!	jnmehr='n'
	INQUIRE (file=trim(obsqnam),EXIST=jnDatei)
	IF (.NOT.jnDatei) GOTO 6602
	OPEN (6541, file=trim(obsqnam), status='old')
	DO
		READ (6541,*,end=6603) D1,D2,D3,D4,Qmes !,jnm
		if ((D1.eq.JAHR) .and.(D2.eq.MON).and.(D3.eq.TAG)) THEN
		do myi=ibb,iee
		    jnmeas(myi)=0
		    if (qmes .lt. 0) then
			if (D4.eq.myi-1) then
				QmesDat(myi)=Qmes
				jnmeas(myi)=0
			end if
			    READ (6541,*,end=6603) D1,D2,D3,D4,Qmes !,jnm
				cycle
			end if
		    qmeso=max(0.001,qmeso)
!		    if (myi .eq. 1) jnm=1
!			if (qmes/qmeso .gt. 1.05) jnm=1
!			if (qmes/qmeso .lt. 0.97) jnm=1
			if (qmes .gt. fixmmup) jnm=1
			if (myi .eq. fixhhup) jnm=1
			if ((D2 .eq. MONE) .and. (d3 .eq. TAGE)) jnm=1
			if (qmes .le. 0.05) jnm=0
			if (D4.eq.(firstuph+myi-1)) then
				QmesDat(myi)=Qmes
				jnmeas(myi)=jnm
				if (jnm.gt.0) jnUp='y'
				jnm=0
			end if
			write (8354,*) D1,D2,D3,D4,myi,qmes,fixhhup,fixmmup,jnmeas(myi)
			qmeso=qmes
			READ (6541,*,end=6603) D1,D2,D3,D4,Qmes !,jnm
		end do
		Goto 6603
		end if
	END DO
6602	call messagerun (1,DATUMCHAR//' Measurement file does not exist!!')
	jnUp='n'
6603	CLOSE (6541)

! ------------------------------------------------------------------------------
!       State speichern, Update variablen initialisieren, Updating Loop starten
! ------------------------------------------------------------------------------
	if (ausgabejn.eq.'y') call messagerun (1,DATUMCHAR)
	call posnam(dirstate,1,NN)
	savenam=dirstate(1:NN)//'updatestate.sav'
      include 'writestate.inc'
	DO 6698 upi=ibb,iee
		upfac(upi)=1.0
6698	continue
	upacthour=0
	upfacold=1
	restold=0
	okidoki='y'
	uphour=1
	uphourold=0
	upiter=0






!*********************************************************************************

! ------------------------------------------------------------------------------
