!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! ------------------------------------------------------------------------------
! Dr. Thomas "Eddy" W�hling - Updating procedure
! September-October 2005
! Adapted by M.Zappa for use in every basin
! ------------------------------------------------------------------------------
!
	if ((xcoor .eq. 1) .and. (xcoor .eq. 1)) then
      updt=updt+1
	end if
	if (updt .le. 25) upfac(I)=1
	if (jnUp.eq.'y') then


	if ((jnmeas(I).eq.1).or.(jnmeas(I).eq.3).or.(upfac(I).ne.1)) then
		if (SUZTF(xcoor,ycoor) .gt. 2.) then
     		SUZTF(xcoor,ycoor)=SUZTF(xcoor,ycoor)*upfac(I)
		else
		if (upfac(I) .gt. 1.25) then
		SUZTF(xcoor,ycoor)=10+10*SUZTF(xcoor,ycoor)
		else
		SLZ1TF(xcoor,ycoor)=SLZ1TF(xcoor,ycoor)*upfac(I)
		SLZ2TF(xcoor,ycoor)=SLZ2TF(xcoor,ycoor)*upfac(I)
		SLZ3TF(xcoor,ycoor)=SLZ3TF(xcoor,ycoor)*upfac(I)
		end if
		end if
	end if
	if (jnmeas(I).gt.1) then
		SLZ1TF(xcoor,ycoor)=SLZ1TF(xcoor,ycoor)*upfac(I)
		SLZ2TF(xcoor,ycoor)=SLZ2TF(xcoor,ycoor)*upfac(I)
		SLZ3TF(xcoor,ycoor)=SLZ3TF(xcoor,ycoor)*upfac(I)
	end if
	end if
! ------------------------------------------------------------------------------
