!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! read a grid in the WaSiM format

      OPEN (731, file=IDNAM, status='old',form='binary')

      READ (731) COLUMNS
      READ (731) ROWS
      READ (731) XKOR
      READ (731) YKOR
      READ (731) SIZE
      READ (731) NODAT

      DO LN=1,6
         READ (731) STATS(LN)
      END DO

      ALLOCATE(XX(INT(ROWS),INT(COLUMNS)))
      ALLOCATE(YY(INT(ROWS),INT(COLUMNS)))

      DO LN=1,INT(ROWS)
         READ (731) (XX(LN,LN2),LN2=1,INT(COLUMNS))
      END DO

      CLOSE (731)
