!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! -----------------------------------------------------
! Saves the model state
! -----------------------------------------------------

      open (9876, file=savenam, status='unknown', form='binary')

      MDSTATE=9876

    	do ycoor=nrow,1,-1
    	do xcoor=1,ncol
        if (int(gezg(xcoor,ycoor)) .eq. int(rnodat)) cycle
      write (MDSTATE) bil(xcoor,ycoor)
      write (MDSTATE) mtf(xcoor,ycoor)
      write (MDSTATE) emtf(xcoor,ycoor)
      write (MDSTATE) sitf(xcoor,ycoor)
      write (MDSTATE) sliqtf(xcoor,ycoor)
      write (MDSTATE) slz1tf(xcoor,ycoor)
      write (MDSTATE) slz2tf(xcoor,ycoor)
      write (MDSTATE) slz3tf(xcoor,ycoor)
      write (MDSTATE) slztf(xcoor,ycoor)
      write (MDSTATE) snowen(xcoor,ycoor)
      write (MDSTATE) snowtf(xcoor,ycoor)
      write (MDSTATE) soiltp(xcoor,ycoor)
      write (MDSTATE) ssmtf(xcoor,ycoor)
      write (MDSTATE) ssnowtf(xcoor,ycoor)
      write (MDSTATE) ssotf(xcoor,ycoor)
      write (MDSTATE) ssztf(xcoor,ycoor)
      write (MDSTATE) surfsnot(xcoor,ycoor)
      write (MDSTATE) suztf(xcoor,ycoor)

      if (isice) then
      write (MDSTATE) SICETF(xcoor,ycoor)
      write (MDSTATE) SICFTF(xcoor,ycoor)
      write (MDSTATE) SICSTF(xcoor,ycoor)
      do ii=1,24
      write (MDSTATE) HTFICE(xcoor,ycoor,ii)
      write (MDSTATE) HTFICF(xcoor,ycoor,ii)
      write (MDSTATE) HTFICS(xcoor,ycoor,ii)
      end do
	  end if

      END DO
	  END DO

!		write (messtext,*) rtrasl(1)
!	    call messagerun (2,'write '//TRIM(messtext))
      do ii=1,72
	  write (MDSTATE) rtrasl(ii)
      end do


	  do ii=1,72
         write (MDSTATE) HSUZHM(ii)
         write (MDSTATE) HSLZHM(ii)
	  end do

      close (9876)

! -----------------------------------------------------
