!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

      SUBROUTINE BILANZ (BILA,PKOR,ER,RS,SSOA,SSOE,SSOD,SIA,SIE,SID,
     *                 SSMA,SSME,SSMD,SUZA,SUZE,SUZD,SLZA,SLZE,SLZD)

!     This subroutine computes the water balance
!     The meaning of the variables id declared in the main program.
!--------------------------------------------------------------------------

      implicit none

! ---------------------------------------------------------------------
!     Common Variables
! ---------------------------------------------------------------------
      REAL BILA,PKOR,ER,RS,SSOA,SSOE,SSOD,SIA,SIE,SID,SSMA,SSME,SSMD,
     *     SUZA,SUZE,SUZD,SLZA,SLZE,SLZD

! ---------------------------------------------------------------------
!     Begin
! ---------------------------------------------------------------------

      SSOD=SSOE-SSOA
      SID=SIE-SIA
      SSMD=SSME-SSMA
      SUZD=SUZE-SUZA
      SLZD=SLZE-SLZA
      BILA=PKOR-ER-RS-SSOD-SID-SSMD-SUZD-SLZD

! ---------------------------------------------------------------------
	RETURN
      END
