!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

      write (CHJA,'(�4.4)') JAHR
      CALL CHARNR (MON,CHMO)
      CALL CHARNR (TAG,CHTA)

      dayfile='tmp'//ergrid(14)

      OPN=335+14
	datsnow=CHTA//CHMO//CHJA
	snowdat(1)='150293'
	snowdat(2)='250398'

	snowdat(3)='281283'
	snowdat(4)='061183'
	snowdat(5)='150484'
	snowdat(6)='140284'
	snowdat(7)='070784'
	snowdat(8)='100684'
	snowdat(9)='060384'
	snowdat(10)='140384'
	snowdat(11)='200492'
	snowdat(12)='261292'
	snowdat(13)='061192'
	snowdat(14)='200893'
	snowdat(15)='130293'
	snowdat(16)='290793'
	snowdat(17)='050693'
	snowdat(18)='100393'
	snowdat(19)='180393'
	snowdat(20)='061193'



	DO I=1,20
	   IF (DATSNOW .NE. SNOWDAT(I)) CYCLE

         IF (kk. eq. 1) OPEN (OPN,FILE=dayfile,STATUS='UNKNOWN',ERR=999)

         class=SSO
         down=FLOAT(kk)-0.1
         up=FLOAT(kk)+0.1
		 DPUNKT=':'
         WRITE(OPN,812) down,up,DPUNKT,class

         IF (kk .eq. ntfl) THEN
	      CLOSE(OPN)
		  namgrd='r'//idnam(4:4)//CHTA//CHMO//CHJA//'.sat'
            dayfile='tmp'//ergrid(14)
            message='remap '//idnam//' '//dayfile//' '//namgrd

c		 oucomm = SYSTEMQQ (message)

         OPEN (335,FILE=dayfile,STATUS='OLD',ERR=999)
         CLOSE(335,STATUS='DELETE')
	   END IF

      END DO
