!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! Application of Deltachange scenarios after Bosshard et al. (2010)

! [Precipitation]
      stp=1
      if (deltavar(stp). eq. 'Y') then
	CPAKT(I)=1.0
       CPAKT(I)=CPNDT(MON,TAG)
	CPRL=CPAKT(I)
	end if

![Temperature]
      stp=2
      if (deltavar(stp). eq. 'Y') then
      CTECK=CTEDT(MON,TAG)
      end if

![Global Radiation]
      stp=3
      if (deltavar(stp). eq. 'Y') then
      CRGMKDM=Crgdt(MON,TAG)
      end if

![Vapour Pressure / Humidity]
      stp=4
      if (deltavar(stp). eq. 'Y') then
      CRLF=CRLDT(MON,TAG)
      end if

![Wind speed]
      stp=5
      if (deltavar(stp). eq. 'Y') then
      CWIV=CWVDT(MON,TAG)
      end if
![Relative sunshine duration]
! Later on!
