!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! Writes yearly grids

      write(CHJA ,'(I4)')JAHR

      DO I=1,21

         IF (whgrid(I)(5:5) .EQ. 'N') CYCLE
         IF (whgrid(I)(5:5) .EQ. 'n') CYCLE
         namgrd=diroutput(1:posi3)//idnam(posiid1:posiid2)//
     *          CHJA//ergrid(I)

	do ycoor=1,nrow
	do xcoor=1,ncol
         if (int(gezg(xcoor,ycoor)) .eq. int(rnodat)) then
		 WRGRD(xcoor,ycoor)=rnodat
		 cycle
		else

         IF (I .EQ. 1) WRGRD(xcoor,ycoor)=PAKJS(xcoor,ycoor)

         IF (I .EQ. 2) WRGRD(xcoor,ycoor)=EPJS(xcoor,ycoor)

         IF (I .EQ. 3) WRGRD(xcoor,ycoor)=ERJS(xcoor,ycoor)

         IF (I .EQ. 4) WRGRD(xcoor,ycoor)=EIJS(xcoor,ycoor)

         IF (I .EQ. 5) WRGRD(xcoor,ycoor)=EBJS(xcoor,ycoor)

         IF (I .EQ. 6) WRGRD(xcoor,ycoor)=RGEJS(xcoor,ycoor)

         IF (I .EQ. 7) WRGRD(xcoor,ycoor)=R0JS(xcoor,ycoor)

         IF (I .EQ. 8) WRGRD(xcoor,ycoor)=R1JS(xcoor,ycoor)

         IF (I .EQ. 9) WRGRD(xcoor,ycoor)=R2JS(xcoor,ycoor)

         IF (I .EQ. 10) WRGRD(xcoor,ycoor)=GLACJS(xcoor,ycoor)

         IF (I .EQ. 12) WRGRD(xcoor,ycoor)=WSAJS(xcoor,ycoor)

         IF (I .EQ. 13) WRGRD(xcoor,ycoor)=GWNBJS(xcoor,ycoor)

         IF (I .EQ. 14) then
		 WRGRD(xcoor,ycoor)=SSOTF(xcoor,ycoor)
		 if (WRGRD(xcoor,ycoor) .lt. 1.) WRGRD(xcoor,ycoor)=0.
		 End If

         IF (I .EQ. 15) WRGRD(xcoor,ycoor)=SITF(xcoor,ycoor)

         IF (I .EQ. 16) WRGRD(xcoor,ycoor)=SSMTF(xcoor,ycoor)

         IF (I .EQ. 17) WRGRD(xcoor,ycoor)=SUZTF(xcoor,ycoor)

         IF (I .EQ. 18) WRGRD(xcoor,ycoor)=SLZTF(xcoor,ycoor)

         IF (I .EQ. 19) WRGRD(xcoor,ycoor)=SLZ1TF(xcoor,ycoor)

         IF (I .EQ. 20) WRGRD(xcoor,ycoor)=snowdaystf(xcoor,ycoor,1)

         IF (I .EQ. 21) WRGRD(xcoor,ycoor)=SSMTF(xcoor,ycoor)/
     *          SFCTF(xcoor,ycoor)
         end if
        end do

		end do
        OPEN (732,FILE=namgrd,STATUS='unknown',ERR=999,FORM='BINARY')
        uwas=732
		include 'wstsp.inc'

      END DO
