!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 2014-2018  Matthias Speich, Massimiliano Zappa, Marc
! Scherstjanoi, Heike Lischke

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!-------------------------------------------------------------------------------
! Initializes the columns "lat" and "lon" of the output tables
! generated in TreeMig's Report
!-------------------------------------------------------------------------------

allocate (latTable(nrow*ncol))
allocate (lonTable(nrow*ncol))

countTable = 1

do lat = 1,nrow
  do lon = 1,ncol
    latTable(countTable) = lat
    lonTable(countTable) = lon
    countTable = countTable + 1
  end do
end do
