!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.
! Modifications copyright (C) 2014-2018  Matthias Speich, Massimiliano Zappa,
! Marc Scherstjanoi, Heike Lischke
! 2014 - 2018: Inclusion of FORHYCS variables

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! re-initialization at the begin of a new day

      rices=0
      DS=DS+1
      NDTD=24
      SSOM=0.0
      SIM=0.0
      SSMM=0.0
      SUZM=0.0
      SLZM=0.0
      GEBIL=0.0
      GLACSS=0.0
       PNKSM=0.0
       PAKSM=0.0
       WSASM=0.0
       EPSM=0.0
       ERSM=0.0
       EISM=0.0
       EBSM=0.0
       R0SM=0.0
       R1SM=0.0
       R2SM=0.0
       RGESSM=0.0

         PNKDS=0.0
         RLDS=0.0
         TEDS=0.0
         RGDS=0.0
         WVDS=0.0
         SDDS=0.0


      pnksmp = 0.0
      paksmp = 0.0
      wsasmp = 0.0
      epsmp = 0.0
      ersmp = 0.0
      eismp = 0.0
      ebsmp = 0.0
      r0smp = 0.0
      r1smp = 0.0
      r2smp = 0.0
      glacssp = 0.0
      rgessmp = 0.0
      pnksmc = 0.0
      paksmc = 0.0
      wsasmc = 0.0
      epsmc = 0.0
      ersmc = 0.0
      eismc = 0.0
      ebsmc = 0.0
      r0smc = 0.0
      r1smc = 0.0
      r2smc = 0.0
      glacssc = 0.0
      rgessmc = 0.0

! TEMPORARY - glacier mass balance

      glacpd = 0.0
      glaced = 0.0
      glacqd = 0.0
      glacdssd = 0.0
      glacdsid = 0.0
      glacdsmd = 0.0
      glacdsuzd = 0.0
      glacdslzd = 0.0
      glacbild = 0.0
      glacdmtd = 0.0
