!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2003 Joachim Gurtz, Massimiliano Zappa
! Modifications copyright (C) 2014-2018  Matthias Speich, Massimiliano Zappa,
! Marc Scherstjanoi, Heike Lischke
! 2014 - 2018: Inclusion of FORHYCS variables.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! re-initialization at the begin of a new year


          PNKJS=0.0
          PAKJS=0.0
          WSAJS=0.0
          EPJS=0.0
          ERJS=0.0
          EIJS=0.0
          EBJS=0.0
          R0JS=0.0
          R1JS=0.0
          R2JS=0.0
          RGEJS=0.0
          GWNBJS=0.0
          GLACJS=0.0
          EBJS2=0.0

          PNKJSM=0.0
          PAKJSM=0.0
          WSAJSM=0.0
          EPJSM=0.0
          ERJSM=0.0
          EIJSM=0.0
          EBJSM=0.0
          R0JSM=0.0
          R1JSM=0.0
          R2JSM=0.0
          RGEJSM=0.0
          GWNBJSM=0.0
          GLACJJ=0

! TEMPORARY - glacier mass balance

      glacpy = 0.0
      glacey = 0.0
      glacqy = 0.0
      glacdssy = 0.0
      glacdsiy = 0.0
      glacdsmy = 0.0
      glacdsuzy = 0.0
      glacdslzy = 0.0
      glacbily = 0.0
      glacbily2d = rnodat
      where(glacmask==1) glacbily2d = 0.0
      glacdmtd = 0.0
      MTDbil = 0.0

       eIntJS = 0.0
       eSnowJS = 0.0
       eSoilJS = 0.0
       eTransJS = 0.0
       petJS = 0.0
       peSoilJS = 0.0
       peTransJS = 0.0

       qsyr = 0.0
       qlyr = 0.0
       qgmon = 0.0

       compBioClim = 0.0

       sumPOut = 0.0
       meanTOut = 0.0

       phenDoyBB = rnodat
       phenDoyMax = rnodat
       phenDoySen = rnodat
       phenDoyFall = rnodat

       snowoff = 0
       snowdays = 0

       annprec = 0.0
       mmot = 0.0

       gsLengthCur = 0.0
       gsTpotCur = 0.0
       gsPrecCur = 0.0
       gsPrecDaysCur = 0.0
       gsTempCur = 0.0
       gsPesCur = 0.0
       gsPeCur = 0.0
