!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------
! -----------------------------------------------------
! Loads the model state (not used in FORHYCS)
! -----------------------------------------------------

      open (9876, file=loadnam, status='old', form='binary')
!	  call messagerun (1,trim(loadnam))
      MDSTATE=9876

     	do ycoor=nrow,1,-1
    	do xcoor=1,ncol
		if (int(gezg(xcoor,ycoor)) .eq. int(rnodat)) cycle
      read (MDSTATE) bil(xcoor,ycoor)
      read (MDSTATE) mtf(xcoor,ycoor)
      read (MDSTATE) emtf(xcoor,ycoor)
      read (MDSTATE) sitf(xcoor,ycoor)
      read (MDSTATE) sliqtf(xcoor,ycoor)
      read (MDSTATE) slz1tf(xcoor,ycoor)
      read (MDSTATE) slz2tf(xcoor,ycoor)
      read (MDSTATE) slz3tf(xcoor,ycoor)
      read (MDSTATE) slztf(xcoor,ycoor)
      read (MDSTATE) snowen(xcoor,ycoor)
      read (MDSTATE) snowtf(xcoor,ycoor)
      read (MDSTATE) soiltp(xcoor,ycoor)
      read (MDSTATE) ssmtf(xcoor,ycoor)
      read (MDSTATE) ssnowtf(xcoor,ycoor)
      read (MDSTATE) ssotf(xcoor,ycoor)
      read (MDSTATE) ssztf(xcoor,ycoor)
      read (MDSTATE) surfsnot(xcoor,ycoor)
      read (MDSTATE) suztf(xcoor,ycoor)


      suztf(xcoor,ycoor)=suztf(xcoor,ycoor)*allinf
      slz1tf(xcoor,ycoor)=slz1tf(xcoor,ycoor)*allinf
      slz2tf(xcoor,ycoor)=slz2tf(xcoor,ycoor)*allinf
      slz3tf(xcoor,ycoor)=slz3tf(xcoor,ycoor)*allinf
	  slztf(xcoor,ycoor)=slztf(xcoor,ycoor)*allinf

      if (isice) then
      read (MDSTATE) SICETF(xcoor,ycoor)
      read (MDSTATE) SICFTF(xcoor,ycoor)
      read (MDSTATE) SICSTF(xcoor,ycoor)
      do ii=1,24
      read (MDSTATE) HTFICE(xcoor,ycoor,ii)
      read (MDSTATE) HTFICF(xcoor,ycoor,ii)
      read (MDSTATE) HTFICS(xcoor,ycoor,ii)
      end do
	  end if

      END DO
	  END DO

      do ii=1,72
      read (MDSTATE) rtrasl(ii)
	  rtrasl(ii)=rtrasl(ii)*allinf
      end do


	  do ii=1,72
         read (MDSTATE,end=66041,err=66041) HSUZHM(ii)
         read (MDSTATE,end=66041,err=66041) HSLZHM(ii)
!		 write (5623,*) HSUZHM(ii),HSLZHM(ii)
	  end do


66041 close (9876)

! -----------------------------------------------------
