!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------


module realtime

integer begindays(3), enddays(3),loadday
integer beginmonths(3), endmonths(3) ,loadmonth
integer beginyears(3), endyears(3),loadyear
integer beginhours(3), endhours(3)
character*256 rtimenam,INPATHANETZ,intmaster,dirrt,copycmd
character*256 ipolfile,nambull,diruser,linkmeteo(7)
character*256 giveuser(9)
character*3 prtunit

real volumecorrection,peakstorage,peakthreshold
integer rttranslation,first,bulletin
logical loadscuse,lscen,lrouting

! scenarios
real tscen,snowscenh,snowscenmm,snowscenfact

! educational
real educparam(9)
logical educlog(9),lschool
integer educnr
character*30 eduprecnam

! NWP Coupling
character*256 nwpnam(8)
integer nwpdt
logical nwpuse

! Random
logical ranuse

! switch date
integer switch_date,actual_date
character*10 actual_date_char

end module
