!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 2014-2018  Matthias Speich, Massimiliano Zappa,
! Marc Scherstjanoi, Heike Lischke

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!-------------------------------------------------------------------------------
! Populates all TreeMig output tables and grids with the No Data value rnodat
! (-9999). If there is data for a cell, it will be written in Report.f90.
!-------------------------------------------------------------------------------

! Tables

biomassTable = rnodat
numberTable = rnodat
seedsTable = rnodat
ingrowthTable = rnodat
antagonTable = rnodat
pollenTable = rnodat
laTable = rnodat


! Grids

biomass2d = rnodat
number2d = rnodat
seeds2d = rnodat
ingrowth2d = rnodat
antagon2d = rnodat
pollen2d = rnodat
la2d = rnodat
