!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

! ------------------------------------------------------------------------------
! Dr. Thomas "Eddy" W�hling - Updating procedure
! September-October 2005
! Adapted by M.Zappa for use in every basin
! ------------------------------------------------------------------------------
		call messagerun (1, 'Reading updating parameters')
		OPEN (6540, file='update.inp', status='old', err=6601)
		READ (6540,'(A)') kopf
		READ (6540,'(A1)') updatejn
		READ (6540,'(A1)') ausgabejn
		READ (6540,*) uptol
		READ (6540,*) firstuph
		READ (6540,'(A)') obsqnam
		READ (6540,*) fixhhup,fixmmup

		uptol=uptol/100
6601	CONTINUE
		CLOSE (6540)
		call posnam (diroutput,1,pos)
	   OPEN (6545,file=diroutput(1:pos)//'upiter.out',
     *  status='unknown')
       OPEN (6546,file=diroutput(1:pos)//'up_qsim.out',
     *  status='unknown')
        call messagerun (1,'Done')
! ------------------------------------------------------------------------------
