!-------------------------------------------------------------------------------
! FORHYCS: A spatially distributed model combining hydrology and forest dynamics
! Copyright (C) 1995-2004  J. Gurtz, M. Zappa et al.

! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! any later version.

! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.

! You should have received a copy of the GNU General Public License
! along with this program.  If not, see <https://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!    Writing header for xml-output

	 qunit='m3/s'
!	 IF (AELHG .LT. 50.) qunit='l/s' !JS:2008-04 global character varaible for xml-output.for
	 IF (islake .EQ. .true.) qunit='m3/s'

2001 FORMAT(T2,'<station no="',A,'" name="',A,'" basin-area="',F6.1,' km2">')
2002 FORMAT(T3,'<hydrograph timestep="',I2.2,' h" unit="',A,'">')

	 write(MXML,2001) TRIM(gaugeid), TRIM(ZNISB), AEISB
	 write(MXML,2002) tistep, TRIM(qunit)
